cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
2922
Views
0
Helpful
2
Replies

Tetration Upgrade 3.4 --> 3.5

Joris Deprouw
Beginner
Beginner

Hi all,

 

I'm trying to upgrade my Tetration Cluster from version 3.4.1.1 Patch 3.4.1.28 to version 3.5.1.1

 

I have downloaded the 6 rpm files and requested the upgrade link.

 

When I open the upgrade link it shows me the RPM upload page. I can see 5 lines under RPM upload, but all 5 are already in green. Showing the 3.4.1.1 files in green with a check in front of them. Seems to be the status of my previous upgrade a year ago.

 

Untitled.jpg

 

When I try to upload the tetration_os_rpminstall_k9-3.5.1.1-1.noarch.rpm file, I starts uploading, but at the end I always receive the error "Cannot connect to server. An unexpected error occurred: error".

 

I'm supposed to follow this order to upload

 

a. tetration_os_rpminstall_k9-3.5.1.1-1.noarch.rpm
b. tetration_os_UcsFirmware_k9-3.5.1.1.rpm
c. tetration_os_adhoc_k9-3.5.1.1-1.el6.x86_64.rpm
d. tetration_os_mother_rpm_k9-3.5.1.1-1.el6.x86_64.rpm
e. tetration_os_enforcement_k9-3.5.1.1-1.el6.x86_64.rpm
f. tetration_os_base_rpm_k9-3.5.1.1-1.el7.x86_64.rpm

 

Any ideas or tips?

Thanks,

Joris

2 Replies 2

Satya Narra
Cisco Employee
Cisco Employee

Hello Joris,

Green status is good, it is reflecting your past upgrade to 3.4.1.1.

Did you get a Validation Successful with the Upgrade Precheck Status?

 

Upgrade Status.png

If not, can you please run the upgrade precheck?

 

If your pre-check was successful and you are still getting the error,

1) We would need the logs which indicate the failure.

2) Are you uploading the files from a server which is the same DC as cluster is or are you remotely uploading.  - We have seen issues with this in the past.

3)Try disabling and re-enabling the link and see if it helps.

4) Last option is TAC - They will help Upload RPMs with direct connection to TOR switch then move them to orchestrator  for completing the upgrade.

 

Hopefully it helps.

/Satya Narra

Hello Satya,

 

My precheck was ok.

The log after the upload of the "rpminstall" file shows "Cannot connect to server. An unexpected error occurred: error."

When I try to continue with the second upload of the "UcsFirmware" file, the log shows.

 

2021-03-07 15:08:25 INFO Invoked for RPM:tetration_os_UcsFirmware_k9-3.5.1.1-1.x86_64.rpm with root tetration_os_UcsFirmware_k9 at /local/rpms/tetration_os_UcsFirmware_k9-3.5.1.1-1.x86_64.rpm at 2021-03-07 15:08:25.613118 UTC
2021-03-07 15:08:26 INFO For cmd: ["rpm -qip /local/rpms/tetration_os_UcsFirmware_k9-3.5.1.1-1.x86_64.rpm | grep Version | awk '{print $3}'"], rc: 0
stderr: warning: /local/rpms/tetration_os_UcsFirmware_k9-3.5.1.1-1.x86_64.rpm: Header V4 RSA/SHA1 Signature, key ID b273c15a: NOKEY

stdout: 3.5.1.1

2021-03-07 15:08:26 INFO Updating logs for tetration_os_UcsFirmware_k9, version 3.5.1.1 at /local/rpms/tetration_os_UcsFirmware_k9.log
2021-03-07 15:08:26 INFO Getting current context from orchestrator
2021-03-07 15:08:26 INFO UPGRADE: context obtained from orchestrator.
2021-03-07 15:08:26 INFO Doing pre-checks for /local/rpms/tetration_os_UcsFirmware_k9-3.5.1.1-1.x86_64.rpm
2021-03-07 15:08:26 INFO Doing an exact version check
2021-03-07 15:08:26 INFO Checking that version is exactly 3.4.1.1 for tetration_os_UcsFirmware_k9
2021-03-07 15:08:26 ERROR Pre upgrade check failed. Expected version: 3.4.1.1 does not match received version 3.5.1.1
2021-03-07 15:08:26 INFO Deleting /local/rpms/tetration_os_UcsFirmware_k9-3.5.1.1-1.x86_64.rpm as it failed pre-upgrade check. Pre upgrade check failed. Expected version: 3.4.1.1 does not match received version 3.5.1.1
2021-03-07 15:08:26 INFO Deleting files matching /local/rpms/tetration_os_UcsFirmware_k9-3.5.1.1-1.x86_64.rpm. Exclusion List: []
2021-03-07 15:08:26 INFO Deleting /local/rpms/tetration_os_UcsFirmware_k9-3.5.1.1-1.x86_64.rpm
2021-03-07 15:08:26 ERROR Upgrade for tetration_os_UcsFirmware_k9-3.5.1.1-1.x86_64.rpm failed. Exception: Pre upgrade check failed. Expected version: 3.4.1.1 does not match received version 3.5.1.1
Traceback (most recent call last):
File "service/RpmUpgrade.py", line 695, in process_rpm
curr_context=curr_context)
File "service/RpmUpgrade.py", line 224, in rpm_pre_upgr_check
self.rpm_exact_version_check(rpm_rootname=rpm_rootname, proposed_version=proposed_version)
File "service/RpmUpgrade.py", line 124, in rpm_exact_version_check
raise ValueError('{}'.format(error_str))
ValueError: Pre upgrade check failed. Expected version: 3.4.1.1 does not match received version 3.5.1.1
2021-03-07 15:08:26 ERROR Upgrade Failed

2021-03-07 15:08:26 INFO Updating summary rpm status for tetration_os_UcsFirmware_k9 : Version 3.5.1.1, Status FAILED Log /local/rpms/tetration_os_UcsFirmware_k9.log
2021-03-07 15:08:26 INFO Final status:
FAILED

 

I am upgrading remotely. However updating the latest patch 3.4.1.1. 28 was no problem.

 

Disabling and re-enabling the link is not working.

 

Kind Regards,

Joris

Getting Started

Find answers to your questions by entering keywords or phrases in the Search bar above. New here? Use these resources to familiarize yourself with the community:

Recognize Your Peers